#ifndef XDYNENTITYCLIENT_H
#define XDYNENTITYCLIENT_H

#include "xasset.h"

class XDynEntityClient : public XAsset
{
public:
    explicit XDynEntityClient();
    ~XDynEntityClient();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    int mPhysObjId;
    quint32 mFlags;
    quint32 mLightingHandle;
    int mHealth;
};

#endif // XDYNENTITYCLIENT_H
